LibreOffice: Style Service Reference

LibreOffice LibreOffice 5.2 SDK API Reference

Included Services | Exported Interfaces | Public Attributes | List of all members
Style Service Referencepublished

This service specifies a single style sheet. More...

`import"Style.idl";`

Inheritance diagram for Style:

## Included Services
service | com::sun::star::xml::UserDefinedAttributesSupplier
| contains user defined attributes. More...

## Exported Interfaces
interface | com::sun::star::style::XStyle
interface | com::sun::star::beans::XPropertySet
interface | com::sun::star::beans::XMultiPropertySet
interface | com::sun::star::beans::XMultiPropertyStates

## Public Attributes
boolean | IsPhysical
| determines if a style is physically created. More...
string | FollowStyle
| contains the name of the style that is applied to the next paragraph. More...
string | DisplayName
| contains the name of the style as it is displayed in the user interface. More...
string | IsAutoUpdate
| determines if a style is automatically updated, if the properties of an object that the style is applied to are changed. More...
sequence< com::sun::star::beans::NamedValue > | ParaStyleConditions
| defines the context and styles for conditional paragraphs. More...
boolean | Hidden
| Flag indicating whether to hide the style in the UI. More...
sequence< com::sun::star::beans::PropertyValue > | StyleInteropGrabBag
| Grab bag of style properties, used as a string-any map for interim interop purposes. More...

## Additional Inherited Members
Public Member Functions inherited from XStyle
boolean | isUserDefined ()
| identifies a style as defined by the user. More...
boolean | isInUse ()
string | getParentStyle ()
void | setParentStyle ([in] string aParentStyle) raises ( com::sun::star::container::NoSuchElementException )
| sets the name of the parent style. More...
Public Member Functions inherited from XNamed
string | getName ()
void | setName ([in] string aName)
| sets the programmatic name of the object. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...
Public Member Functions inherited from XPropertySet
com::sun::star::beans::XPropertySetInfo | getPropertySetInfo ()
void | setPropertyValue ([in] string aPropertyName, [in] any aValue) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::beans::PropertyVetoException, com::sun::star::lang::IllegalArgumentException, com::sun::star::lang::WrappedTargetException )
| sets the value of the property with the specified name. More...
any | getPropertyValue ([in] string PropertyName) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
void | addPropertyChangeListener ([in] string aPropertyName, [in] com::sun::star::beans::XPropertyChangeListener xListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| adds an XPropertyChangeListener to the specified property. More...
void | removePropertyChangeListener ([in] string aPropertyName, [in] com::sun::star::beans::XPropertyChangeListener aListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| removes an XPropertyChangeListener from the listener list. More...
void | addVetoableChangeListener ([in] string PropertyName, [in] com::sun::star::beans::XVetoableChangeListener aListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| adds an XVetoableChangeListener to the specified property with the name PropertyName. More...
void | removeVetoableChangeListener ([in] string PropertyName, [in] com::sun::star::beans::XVetoableChangeListener aListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| removes an XVetoableChangeListener from the listener list. More...
Protected Member Functions inherited from XStyle
boolean | isUserDefined ()
| identifies a style as defined by the user. More...
boolean | isInUse ()
string | getParentStyle ()
void | setParentStyle ([in] string aParentStyle) raises ( com::sun::star::container::NoSuchElementException )
| sets the name of the parent style. More...
Protected Member Functions inherited from XNamed
string | getName ()
void | setName ([in] string aName)
| sets the programmatic name of the object. More...
Protected Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...
Protected Member Functions inherited from XPropertySet
com::sun::star::beans::XPropertySetInfo | getPropertySetInfo ()
void | setPropertyValue ([in] string aPropertyName, [in] any aValue) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::beans::PropertyVetoException, com::sun::star::lang::IllegalArgumentException, com::sun::star::lang::WrappedTargetException )
| sets the value of the property with the specified name. More...
any | getPropertyValue ([in] string PropertyName) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
void | addPropertyChangeListener ([in] string aPropertyName, [in] com::sun::star::beans::XPropertyChangeListener xListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| adds an XPropertyChangeListener to the specified property. More...
void | removePropertyChangeListener ([in] string aPropertyName, [in] com::sun::star::beans::XPropertyChangeListener aListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| removes an XPropertyChangeListener from the listener list. More...
void | addVetoableChangeListener ([in] string PropertyName, [in] com::sun::star::beans::XVetoableChangeListener aListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| adds an XVetoableChangeListener to the specified property with the name PropertyName. More...
void | removeVetoableChangeListener ([in] string PropertyName, [in] com::sun::star::beans::XVetoableChangeListener aListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| removes an XVetoableChangeListener from the listener list. More...
Protected Member Functions inherited from XMultiPropertySet
com::sun::star::beans::XPropertySetInfo | getPropertySetInfo ()
void | setPropertyValues ([in] sequence< string > aPropertyNames, [in] sequence< any > aValues) raises ( com::sun::star::beans::PropertyVetoException, com::sun::star::lang::IllegalArgumentException, com::sun::star::lang::WrappedTargetException )
| sets the values to the properties with the specified names. More...
sequence< any > | getPropertyValues ([in] sequence< string > aPropertyNames)
void | addPropertiesChangeListener ([in] sequence< string > aPropertyNames, [in] com::sun::star::beans::XPropertiesChangeListener xListener)
| adds an XPropertiesChangeListener to the specified property with the specified names. More...
void | removePropertiesChangeListener ([in] com::sun::star::beans::XPropertiesChangeListener xListener)
| removes an XPropertiesChangeListener from the listener list. More...
void | firePropertiesChangeEvent ([in] sequence< string > aPropertyNames, [in] com::sun::star::beans::XPropertiesChangeListener xListener)
| fires a sequence of PropertyChangeEvents to the specified listener. More...
Protected Member Functions inherited from XMultiPropertyStates
sequence< com::sun::star::beans::PropertyState > | getPropertyStates ([in] sequence< string > aPropertyName) raises ( com::sun::star::beans::UnknownPropertyException )
void | setAllPropertiesToDefault ()
| sets all properties to their default values. More...
void | setPropertiesToDefault ([in] sequence< string > aPropertyNames) raises ( com::sun::star::beans::UnknownPropertyException )
| sets the specified properties to their default values. More...
sequence< any > | getPropertyDefaults ([in] sequence< string > aPropertyNames) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
Protected Attributes inherited from UserDefinedAttributesSupplier
::com::sun::star::container::XNameContainer | UserDefinedAttributes
| This container holds the AttributeData elements that represent uninterpreted XML attributes. More...

## Detailed Description

This service specifies a single style sheet.

Developers Guide
  Text - Overall Document Features - Styles

## Exported Interfaces

## ◆ com::sun::star::xml::UserDefinedAttributesSupplier

service com::sun::star::xml::UserDefinedAttributesSupplier
| optional

contains user defined attributes.

See also
  com::sun::star::xml::UserDefinedAttributesSupplier

## Exported Interfaces

## ◆ com::sun::star::beans::XMultiPropertySet

interface com::sun::star::beans::XMultiPropertySet
| optional

## ◆ com::sun::star::beans::XMultiPropertyStates

interface com::sun::star::beans::XMultiPropertyStates
| optional

## ◆ com::sun::star::beans::XPropertySet

interface com::sun::star::beans::XPropertySet

## ◆ com::sun::star::style::XStyle

interface com::sun::star::style::XStyle

## Member Data Documentation

## ◆ DisplayName

string DisplayName
| optionalpropertyreadonly

contains the name of the style as it is displayed in the user interface.

The names of the styles at the API are language independent. The user interface names are localized.

## ◆ FollowStyle

string FollowStyle
| optionalproperty

contains the name of the style that is applied to the next paragraph.

This property is usually available at paragraph styles only.

## ◆ Hidden

boolean Hidden
| optionalproperty

Flag indicating whether to hide the style in the UI.

Since
  LibreOffice 4.0

## ◆ IsAutoUpdate

string IsAutoUpdate
| optionalproperty

determines if a style is automatically updated, if the properties of an object that the style is applied to are changed.

For example, if the style is applied to a paragraph and the properties of the paragraph are changed then the style will be updated accordingly.

## ◆ IsPhysical

boolean IsPhysical
| optionalpropertyreadonly

determines if a style is physically created.

Built in styles may not be created until they are needed. To prevent standard style properties from being exported, it may be useful to check if the style is created first.

## ◆ ParaStyleConditions

sequence< com::sun::star::beans::NamedValue > ParaStyleConditions
| optionalproperty

defines the context and styles for conditional paragraphs.

This property is only available if the style is a conditional paragraph style.

The sequence consists of pairs where the name part of the pair defines the context where it should be applied and the value part is a string naming the style to be used in that context.

Assigning an empty string to the style name will disable the conditional style for that context.

The allowed strings (contexts) for the name part of an entry of the sequence are:

- TableHeader
- Table
- Frame
- Section
- Footnote
- Endnote
- Header
- Footer
- OutlineLevel1
- OutlineLevel2
- OutlineLevel3
- OutlineLevel4
- OutlineLevel5
- OutlineLevel6
- OutlineLevel7
- OutlineLevel8
- OutlineLevel9
- OutlineLevel10
- NumberingLevel1
- NumberingLevel2
- NumberingLevel3
- NumberingLevel4
- NumberingLevel5
- NumberingLevel6
- NumberingLevel7
- NumberingLevel8
- NumberingLevel9
- NumberingLevel10

Since
  OOo 2.0.1

## ◆ StyleInteropGrabBag

sequence<com::sun::star::beans::PropertyValue> StyleInteropGrabBag
| optionalproperty

Grab bag of style properties, used as a string-any map for interim interop purposes.

Since
  LibreOffice 4.2

This property is intentionally not handled by the ODF filter. Any member that should be handled there should be first moved out from this grab bag to a separate property.

The documentation for this service was generated from the following file:

- com/sun/star/style/Style.idl